package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.domain.Pageable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RksTemplateVariabelRequest extends BaseRequest {

    private Long id;
    private Long rksTemplateId;
    private String variableName;
    private String keterangan;
    private String contohIsian;
    private String isian;
    private String digunakanDi;
    private Boolean isActive;

    private transient Pageable pageable;

}
